Bug 16585 - Update Italian installer sample files for 16.05
Summary: Update Italian installer sample files for 16.05
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Zeno Tajoli
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-25 08:51 UTC by Zeno Tajoli
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Text to go in the release notes:
With this patch all sample/defintions .sql files are translated into Italian (if you select italian during web installation).
Version(s) released in:


Attachments
Update Italian installer sample files (24.51 KB, patch)
2016-05-26 13:18 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Followup of the patch (1.66 KB, patch)
2016-05-26 13:18 UTC, Zeno Tajoli
Details | Diff | Splinter Review
Bug 16585: Update Italian installer sample files for 16.05 (24.80 KB, patch)
2016-07-26 14:54 UTC, Mark Tompsett
Details | Diff | Splinter Review
Bug 16585: Update Italian installer sample files for 16.05 (24.80 KB, patch)
2016-08-02 10:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Zeno Tajoli 2016-05-25 08:51:31 UTC
Update and translate sample SQL file of the Italinan installer.
Comment 1 Zeno Tajoli 2016-05-25 12:51:52 UTC
To test:
- Start with an empty database
- Install it-IT
- Run the web installer in it-IT/Italian
- Verify all files, especially sample notices, sample_frequencies, sample_numberpatterns load without any problems.
Comment 2 Zeno Tajoli 2016-05-26 13:18:20 UTC Comment hidden (obsolete)
Comment 3 Zeno Tajoli 2016-05-26 13:18:47 UTC Comment hidden (obsolete)
Comment 4 Mark Tompsett 2016-07-26 14:54:45 UTC Comment hidden (obsolete)
Comment 5 Mark Tompsett 2016-07-26 14:58:33 UTC
This is not an enhancement. This is a bug fix, as many of the strings in the Italian SQL files were English to start with. Marking it as such.
Comment 6 Jonathan Druart 2016-08-01 14:12:35 UTC
Comment on attachment 53725 [details] [review]
Bug 16585: Update Italian installer sample files for 16.05

Review of attachment 53725 [details] [review]:
-----------------------------------------------------------------

::: installer/data/mysql/it-IT/necessari/notices.sql
@@ +7,5 @@
>  ('circulation','DUEDGST','Avviso restituzione (digest)','Avviso restituzione (digest)','Hai <<count>> prestiti da retituire', 'email'),
>  ('circulation','PREDUE','Preavviso scadenza prestito','Preavviso scadenza prestito','Salve <<borrowers.firstname>> <<borrowers.surname>>,\r\n\r\nQuesti prestiti stanno per scadere:\r\n\r\n<<biblio.title>>, <<biblio.author>> (<<items.barcode>>)', 'email'),
> +('circulation','PREDUEDGST','Preavviso scadenza prestiti (digest)','Avviso copie in scadenza','Gentile <<borrowers.firstname>> <<borrowers.surname>>,
> +Il prestito dei seguenti volumi sta per scadere:
> +

You should use \r\n to line breaks.

::: installer/data/mysql/it-IT/necessari/sample_frequencies.sql
@@ +1,2 @@
>  INSERT INTO subscription_frequencies
> +    (id, description, displayorder, unit, unitsperissue, issuesperunit)

Why do you force the id?

::: installer/data/mysql/it-IT/necessari/sample_numberpatterns.sql
@@ +1,2 @@
>  INSERT INTO subscription_numberpatterns
> +    (id, label, displayorder, description, numberingmethod,

Same here.

::: installer/data/mysql/it-IT/necessari/system_preferences.sql
@@ +20,4 @@
>  UPDATE systempreferences SET value = '1' WHERE variable = 'AllowRenewalLimitOverride';
>  UPDATE systempreferences SET value = 'annual' WHERE variable = 'autoBarcode';
>  UPDATE systempreferences SET value = 'email' WHERE variable = 'AutoEmailPrimaryAddress';
> +UPDATE systempreferences SET value = '1' WHERE variable = 'BiblioAddsAuthorities';

The changes in this file seems very specific but nobody complain until now, so that should be ok.
Comment 7 Zeno Tajoli 2016-08-01 14:39:08 UTC
Hi,
I answer the request of Jonathan (#6):

>You should use \r\n to line breaks.
I insert "\r\n\r\n" because in Italy we want a empty line in the template.
It is a cosmetic request.
I used "\r\n\r\n" in older version of notices.sql

>Why do you force the id? [in sample_frequencies.sql and in
> sample_numberpatterns.sql]
In fact I insert ids only because I create file directly wirh mysql tools.
I think we can not insert them.

>The changes in this file [system_preferences.sql] seems very specific 
> but nobody complain until now, so that should be ok.
I try to guess the best default for italian users.
Comment 8 Jonathan Druart 2016-08-02 10:18:20 UTC
Created attachment 53882 [details] [review]
Bug 16585: Update Italian installer sample files for 16.05

With this patch all sample/defintions .sql files are updated and translated into Italian
(if you select italian during web installation).

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 9 Jonathan Druart 2016-08-02 10:19:19 UTC
(In reply to Zeno Tajoli from comment #7)
> Hi,
> I answer the request of Jonathan (#6):
> 
> >You should use \r\n to line breaks.
> I insert "\r\n\r\n" because in Italy we want a empty line in the template.
> It is a cosmetic request.
> I used "\r\n\r\n" in older version of notices.sql

No, look at:

  +Il prestito dei seguenti volumi sta per scadere:
  +
  +<<items.content>>
  +
  +<<branches.branchname>>', 'email'),

You did not use \r\n or whatever.
Anyway, it's fine by me.
Comment 10 Brendan Gallagher 2016-08-06 18:15:44 UTC
pushed to master - Should be in the November 2016 - Thanks!